DROP TABLE CRST_PER_POSITION_STRUCTURES;

CREATE TABLE CRST_PER_POSITION_STRUCTURES
(
  POSITION_STRUCTURE_ID   NUMBER(15)            NOT NULL,
  BUSINESS_GROUP_ID       NUMBER(15)            NOT NULL,
  NAME                    VARCHAR2(30 BYTE)     NOT NULL,
  COMMENTS                LONG,
  PRIMARY_POSITION_FLAG   VARCHAR2(30 BYTE),
  REQUEST_ID              NUMBER(15),
  PROGRAM_APPLICATION_ID  NUMBER(15),
  PROGRAM_ID              NUMBER(15),
  PROGRAM_UPDATE_DATE     DATE,
  ATTRIBUTE_CATEGORY      VARCHAR2(30 BYTE),
  ATTRIBUTE1              VARCHAR2(150 BYTE),
  ATTRIBUTE2              VARCHAR2(150 BYTE),
  ATTRIBUTE3              VARCHAR2(150 BYTE),
  ATTRIBUTE4              VARCHAR2(150 BYTE),
  ATTRIBUTE5              VARCHAR2(150 BYTE),
  ATTRIBUTE6              VARCHAR2(150 BYTE),
  ATTRIBUTE7              VARCHAR2(150 BYTE),
  ATTRIBUTE8              VARCHAR2(150 BYTE),
  ATTRIBUTE9              VARCHAR2(150 BYTE),
  ATTRIBUTE10             VARCHAR2(150 BYTE),
  ATTRIBUTE11             VARCHAR2(150 BYTE),
  ATTRIBUTE12             VARCHAR2(150 BYTE),
  ATTRIBUTE13             VARCHAR2(150 BYTE),
  ATTRIBUTE14             VARCHAR2(150 BYTE),
  ATTRIBUTE15             VARCHAR2(150 BYTE),
  ATTRIBUTE16             VARCHAR2(150 BYTE),
  ATTRIBUTE17             VARCHAR2(150 BYTE),
  ATTRIBUTE18             VARCHAR2(150 BYTE),
  ATTRIBUTE19             VARCHAR2(150 BYTE),
  ATTRIBUTE20             VARCHAR2(150 BYTE),
  LAST_UPDATE_DATE        DATE,
  LAST_UPDATED_BY         NUMBER(15),
  LAST_UPDATE_LOGIN       NUMBER(15),
  CREATED_BY              NUMBER(15),
  CREATION_DATE           DATE,
  OBJECT_VERSION_NUMBER   NUMBER(9)             NOT NULL,
  POSITION_STRUCTURE_ID_N NUMBER(15)
);
